package org.jeecg.modules.ctop.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.ctop.entity.UReportFileBindUser;

import java.util.Map;

/**
 * 用户绑定报表信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-01-16
 */
public interface IUReportFileBindUserService extends IService<UReportFileBindUser> {

    UReportFileBindUser getByUserIdAndFileId(String id, String fileId);

    void deleteByUserIdAndFileId(String userId, String fileId);

    Map<String, Object> getListByFileId(JSONObject data);
}
